deprecations:
  - feature_name: "Planned removal of Docker in Docker (DinD) for Security Scanners in upcoming 13.0 Release"
    due: May 22, 2020
    reporter: tmccaslin
    description: |
      GitLab Secure scanners are moving away from using Docker in Docker (DinD) to increase the security and reduce complexity of scans. GitLab security products will begin to use non-DinD mode by default in vendored templates as soon as 13.0. We encourage customers to update their vendored templates to test out this new behavior. The documentation below details how you can try this today. In a future release after 13.0 we intend to remove DinD completely. Please be aware of slight [changes in scanner detection logic](https://gitlab.com/gitlab-org/gitlab/-/issues/37453), which are being addressed leading up to 13.0. 

        * [Disabling Docker in Docker for Dependency Scanning](https://docs.gitlab.com/ee/user/application_security/dependency_scanning/#disabling-docker-in-docker-for-dependency-scanning)
        * [Disabling Docker in Docker for SAST](https://docs.gitlab.com/ee/user/application_security/sast/#disabling-docker-in-docker-for-sast)
